Bug 120358 - Long multi-layered numbered list in a table became mis-ordered after some editing
Summary: Long multi-layered numbered list in a table became mis-ordered after some edi...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.1.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks: Writer-Tables Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2018-10-06 03:53 UTC by Franklin Weng
Modified: 2020-03-16 09:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Problematic odt file (40.92 KB, application/vnd.oasis.opendocument.text)
2018-10-06 03:54 UTC, Franklin Weng
Details
The original doc file (90.00 KB, application/msword)
2018-10-06 03:55 UTC, Franklin Weng
Details
Desktop recording (2.95 MB, video/webm)
2018-10-06 03:57 UTC, Franklin Weng
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Franklin Weng 2018-10-06 03:53:18 UTC
Description:
I just experienced a series of Writer crashing, anonymous report starting from UUID: 27bd50d1-04d4-4b38-a70b-8f31ca3b6fa0, all the same system information:

Version	Version: 6.1.1.2
OS	linux
OS details	0.0.0 Linux 4.15.0-36-generic #39-Ubuntu SMP Mon Sep 24 16:19:09 UTC 2018 x86_64
Build Architecture	amd64
CPU Info	family 6 model 69 stepping 1
Crash Reason	SIGSEGV
Crash Address	0x621600004e9d
Crash Thread	0

All the crashes happened during I re-format the long multi-layered numbered list in the first column of the second table.

The display (rendering) "bumped" every time I changed a line, then after some time it crashes.

After trying hard to make things done, saved and reopened, and tried to re-organize the numbered item, the layer will become mis-ordered.

(Desktop recording attached later)

Steps to Reproduce:
1. Open the odt file.
2. In the second table, around item (八)、(九)、(十), put the cursor in front of (九), hit the Backspace to attached after the item (八), then hit Enter to go back.
3. Do the same to (十) to attached after the item (九), then you can see the numbered 7. (under (七)) became mis-ordered.

Actual Results:
Item (七) 7. became mis-ordered.

Expected Results:
Item (七) 7. should stay where it was.


Reproducible: Always


User Profile Reset: No



Additional Info:
It looks like something not handling well with long, multi-layer numbered list positioned in a table.

The original file is a .doc file, but I cleared all the format before re-formatting, set up the numbered list properties, then did the re-format.
Comment 1 Franklin Weng 2018-10-06 03:54:11 UTC
Created attachment 145425 [details]
Problematic odt file

Please try with this odt file.
Comment 2 Franklin Weng 2018-10-06 03:55:29 UTC
Created attachment 145426 [details]
The original doc file

For reference.  I opened this file with LibreOffice 6.1.1, cleared all the format, and then saved as odt file then re-formatted it.
Comment 3 Franklin Weng 2018-10-06 03:57:40 UTC
Created attachment 145427 [details]
Desktop recording
Comment 4 Buovjaga 2018-10-31 17:52:09 UTC
Repro while doing the same steps as in the video. In my case it was 6. that moved.

I cannot repro on Windows.
I did not repro with Linux 50max bibisect repo.

By the way, if you undo back to the beginning, do you get a crash?

In 6.2, having experimental features enabled, the document crashes on opening. I suspect it will be fixed with https://bugs.documentfoundation.org/show_bug.cgi?id=120991#c9

Arch Linux 64-bit
Version: 6.2.0.0.alpha1+
Build ID: 45d8fb0ba77396b7d5e02c2fc9a8ae5b233a02bc
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: threaded
Built on 31 October 2018
Comment 5 QA Administrators 2019-11-01 03:37:10 UTC
Dear Franklin Weng,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug